in scala.xml
class ProcInstr

`case class` ProcInstr
  `extends` scala.xml.SpecialNode
  `with` scala.ScalaObject
  `with` scala.CaseClass

  an XML node for processing instructions (PI)

Author:
  Burak Emir
Parameters:
  `target -` target name of this PI
Parameters:
  `text -` text contained in this node, may not contain "?>"

Constructor Summary
| `def` this (target: java.lang.String, proctext: java.lang.String)

Val Summary
| `val` proctext : java.lang.String
| `val` target : java.lang.String
| `val` z : scala.Seq[scala.Char]

Def Summary
`final` `override` | `def` $tag : scala.Int
`final` `override` | `def` caseArity : scala.Int
`final` `override` | `def` caseElement (x$1: scala.Int) : scala.Any
`final` `override` | `def` caseName : java.lang.String
`override` | `def` equals (x: scala.Any) : scala.Boolean structural equality
`override` | `def` hashCode : scala.Int hashcode for this PI
`final` | `def` label : java.lang.String the constant "#PI"
`override` | `def` text : java.lang.String
| `def` toString (sb: scala.compat.StringBuilder) : scala.compat.StringBuilder appends "<?" target (" "+text)?+"?>" to this stringbuffer.
`final` `override` | `def` typeTag$ : scala.Int

Constructor Detail

`def` this (target: java.lang.String, proctext: java.lang.String)

Val Detail

`val` proctext : java.lang.String

`val` target : java.lang.String

`val` z : scala.Seq[scala.Char]

Def Detail

`final override def` $tag : scala.Int

`final override def` caseArity : scala.Int

`final override def` caseElement (x$1: scala.Int): scala.Any

`final override def` caseName : java.lang.String

`override def` equals (x: scala.Any): scala.Boolean

  structural equality

`override def` hashCode : scala.Int

  hashcode for this PI

`final def` label : java.lang.String

  the constant "#PI"

`override def` text : java.lang.String

`def` toString (sb: scala.compat.StringBuilder): scala.compat.StringBuilder

  appends "<?" target (" "+text)?+"?>" to this stringbuffer.

`final override def` typeTag$ : scala.Int